<?php
class PaDefault extends CustomPage {
	public $ssetParid=0;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,4,5,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'cmsdocusergroup','sttColumnHead'=>'cdugt'),
			array('sttTableName'=>$this->sysTableHead.'cmsdocusergroupcont','sttColumnHead'=>'cdugct'),);
		$this->sUiName='Mana/cms/doc_usergroup';
	}
	public function OnBInitial(){
		$this->sMetaTitle='用户文档分类';
		$this->sLimitCount=0;
		$this->sApp=new cmsdocusergroup($this->sConnString);
		$this->sSpicalValue=array();
		$this->sSpicalValue=array(0,$this->sTable[0]['sttColumnHead'].'CreateBy',$this->sUserInfo[0]['Columns']['uitUnitid']['Value']);
		$this->sSpicalValue=array(0,$this->sTable[0]['sttColumnHead'].'PublicType',1);
		//PublicType
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=49;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sPublicType1=$this->sPublicType2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sPublicType2,$tmpAR0);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT 
			A.cdugtID,A.cdugtName,A.cdugtParid 
			FROM '.$this->sysTableHead.'cmsdocusergroup AS A
			WHERE 1=1 AND A.cdugtRecycle=0 AND A.cdugtChecked>1 AND A.cdugtParid={Nets.Parid}
			AND ((A.cdugtCreateBy='.$this->sUserInfo[0]['Columns']['uitID']['Value'].' AND cdugtPublicType=0) OR (A.cdugtCreateBy='.$this->sUserInfo[0]['Columns']['uitUnitid']['Value'].' AND cdugtPublicType=1))
			ORDER BY A.cdugtOrderBy DESC,A.cdugtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['ParID']='cdugtID';
		$tmpAR0['Text']='cdugtName';
		$tmpAR0['Value']='cdugtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[顶级分类]';
		$tmpAR0['Value']='0';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'cdugtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',0,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.cdugtID,A.cdugtName,A.cdugtParid,A.cdugtPublicType
			FROM '.$this->sysTableHead.'cmsdocusergroup AS A 
			WHERE 1=1 
			AND ((A.cdugtCreateBy='.$this->sUserInfo[0]['Columns']['uitID']['Value'].' AND cdugtPublicType=0) OR (A.cdugtCreateBy='.$this->sUserInfo[0]['Columns']['uitUnitid']['Value'].' AND cdugtPublicType=1))
			AND A.cdugtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.cdugtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.cdugtParid='.$this->sSearchData[1].' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.cdugtPublicType='.$this->sSearchData[2].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1].','.$this->sSearchData[2];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'cdugtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'cdugtName','stcoctUiName'=>'文档分类名');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'cdugtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1',0);
		$tmpSTR3='External_Search';
		$this->sExternal_SearchData=$this->AnalyerRequest($tmpSTR3,',0',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.cdugtID,A.cdugtName,A.cdugtParid
			FROM '.$this->sysTableHead.'cmsdocusergroup AS A 
			WHERE 1=1 
			AND A.cdugtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.cdugtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.cdugtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$tmpSTR3.'&'.$tmpSTR3.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		
		$this->sPAjaxButton->sPage=$this->sysPage;
		$this->sPAjaxButton->sFlag='External_Search';
		$this->sPAjaxButton->sPanel='chooseContent';
		$this->sPAjaxButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPAjaxButton->setPage($this->sDb->sysPageInfo);
		$this->sPAjaxButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'cdugtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'cdugtName','stcoctUiName'=>'商品名');
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT 
			* 
			FROM '.$this->sysTableHead.'cmsdocusergroup AS A 
			INNER JOIN '.$this->sysTableHead.'cmsdocusergroupcont AS B ON B.cdugctIndexID=A.cdugtID ';
		if($this->sMainTableid!=0 && $this->sMainTableid!=-1){
			$tmpSQL.=' INNER JOIN '.$this->sysTableHead.$this->sTable[2]['sttTableName'].' AS C ON C.'.$this->sTable[2]['sttColumnHead'].'IndexID=A.shstID ';
		}
		$tmpSQL.=' WHERE 1=1 AND A.cdugtID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='cdugtParid'){
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='cdugtTableid'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='cdugtTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='cdugtParid'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='cdugtPublicType' && ($pFlag=='Search')){
			$pColumn['Option']=$this->sPublicType2;
		}else if($pColumn['stcotName']=='cdugtPublicType' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sPublicType1;
		}
		return $pColumn;
	}
}
?>